<template>
  <div class="grid grid-cols-1 gap-2 place-items-center">
    <h1>Desafio Vue</h1>
    <AddProduct :addProduct="addProduct" :productsData="products"/>
    <ListProducts :productsData="products" :deleteProduct="deleteProduct"/>
  </div>
</template>

<script>
import AddProduct from "./components/AddProduct.vue";
import ListProducts from "./components/ListProducts.vue";

export default {
  name: 'App',
  components: {
    AddProduct,
    ListProducts
  },
  data() {
    return {
      products: []
    }
  },
  methods: {
    addProduct(product) {
      this.products.push(product);
    },
    deleteProduct(index) {
      this.products.splice(index, 1);
    }
  }
}
</script>

<style>
* {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  margin: 0;
  padding: 0;
  color: #2c3e50;
  box-sizing: border-box;
}
</style>
